%define anolis_release 1
%define debug_package %{nil}

Name:	        he-toolkit	
Version:	2.0.1
Release:        %{anolis_release}%{?dist}
Summary:	Intel HE Toolkit

License:	Apache License 2.0
URL:		https://github.com/intel/he-toolkit
Source0:	https://github.com/intel/he-toolkit/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cmake, gcc, gcc-c++
BuildRequires:  hexl-devel, seal-devel, helib-devel, palisade-devel
BuildRequires:  microsoft-gsl-devel 	libzstd-static
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-virtualenv python3-pip
BuildRequires:  gflags-devel
BuildRequires:  python3-wheel python3-numpy python3-urllib3 python3-scikit-learn
BuildRequires:  ntl-devel gmp-devel
Requires:       glibc
Requires:       helib-devel seal-devel ntl-devel hexl-devel palisade-devel
Requires:       gmp-devel

Patch1001:	1001-bugfix-the-error-in-check-the-python3-version.patch
Patch1002:	1002-remove-third-part-of-ext_gflags.patch
Patch1003:	1003-remove-pip-requires-in-datasets.patch
Patch1004:	1004-fix-the-link-error-in-build.patch
Patch1005:	1005-fix-the-files-install-error.patch

Patch0001:	0001-change-the-datasets-path.patch

ExclusiveArch:  x86_64

%description
Intel HE Toolkit Package

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
pushd he-samples/examples/logistic-regression
%cmake
%cmake_build
popd
pushd he-samples/examples/secure-query
%cmake
%cmake_build
popd
pushd he-samples/examples/psi
%cmake
%cmake_build
popd

%install
pushd he-samples/examples/logistic-regression
%cmake_install
popd
pushd he-samples/examples/secure-query
%cmake_install
popd
pushd he-samples/examples/psi
%cmake_install
popd

chmod 0755 %{buildroot}/%{_bindir}/lr_test
chmod 0755 %{buildroot}/%{_bindir}/psi
chmod 0755 %{buildroot}/%{_bindir}/secure-query

%files
%license LICENSE
%{_bindir}/lr_test
%{_bindir}/psi
%{_bindir}/secure-query
%{_datadir}/he-toolkit

%files doc
%doc README.md CODEOWNERS

%changelog
* Fri Nov 18 2022 xhuan28 <xiaojun.huang@intel.com> - 2.0.1-1
- Init package
